<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: resolveInterfaceVariables.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('resolve_interface_variables_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">resolveInterfaceVariables.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;dirent.h&gt;</code><br />
<code>#include &quot;<a class="el" href="create_phys_to_ecu_conv_8hpp_source.html">createPhysToEcuConv.hpp</a>&quot;</code><br />
<code>#include &lt;bsoncxx/builder/basic/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/types.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/stdx/string_view.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/json.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/document/value.hpp&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for resolveInterfaceVariables.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp__incl.png" border="0" usemap="#resolve_interface_variables_8hpp" alt=""/></div>
<map name="resolve_interface_variables_8hpp" id="resolve_interface_variables_8hpp">
<area shape="rect" title=" " alt="" coords="1064,5,1280,32"/>
<area shape="rect" title=" " alt="" coords="23,155,103,181"/>
<area shape="rect" title=" " alt="" coords="128,155,201,181"/>
<area shape="rect" title=" " alt="" coords="226,155,292,181"/>
<area shape="rect" title=" " alt="" coords="317,155,382,181"/>
<area shape="rect" title=" " alt="" coords="407,155,474,181"/>
<area shape="rect" title=" " alt="" coords="498,155,572,181"/>
<area shape="rect" title=" " alt="" coords="596,155,671,181"/>
<area shape="rect" title=" " alt="" coords="695,155,754,181"/>
<area shape="rect" title=" " alt="" coords="778,155,844,181"/>
<area shape="rect" title=" " alt="" coords="868,155,943,181"/>
<area shape="rect" title=" " alt="" coords="967,155,1052,181"/>
<area shape="rect" title=" " alt="" coords="1076,155,1119,181"/>
<area shape="rect" title=" " alt="" coords="1144,155,1268,181"/>
<area shape="rect" title=" " alt="" coords="2186,155,2249,181"/>
<area shape="rect" title=" " alt="" coords="2274,155,2370,181"/>
<area shape="rect" title=" " alt="" coords="2394,155,2466,181"/>
<area shape="rect" href="create_phys_to_ecu_conv_8hpp.html" title=" " alt="" coords="1210,80,1401,107"/>
<area shape="rect" title=" " alt="" coords="1332,229,1495,271"/>
<area shape="rect" title=" " alt="" coords="1146,229,1308,271"/>
<area shape="rect" title=" " alt="" coords="2680,229,2843,271"/>
<area shape="rect" title=" " alt="" coords="2076,229,2250,271"/>
<area shape="rect" title=" " alt="" coords="1877,229,2052,271"/>
<area shape="rect" title=" " alt="" coords="1520,229,1694,271"/>
<area shape="rect" title=" " alt="" coords="2512,237,2656,263"/>
<area shape="rect" title=" " alt="" coords="972,229,1122,271"/>
<area shape="rect" title=" " alt="" coords="1718,237,1853,263"/>
<area shape="rect" title=" " alt="" coords="2275,237,2488,263"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html" title=" " alt="" coords="1698,155,1908,181"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp__dep__incl.png" border="0" usemap="#resolve_interface_variables_8hppdep" alt=""/></div>
<map name="resolve_interface_variables_8hppdep" id="resolve_interface_variables_8hppdep">
<area shape="rect" title=" " alt="" coords="5,5,221,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="39,80,187,121"/>
</map>
</div>
</div>
<p><a href="resolve_interface_variables_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html">Variable_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structident__type.html">ident_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structaxis__type.html">axis_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_cal_prm__type.html">CalPrm_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_field__type.html">Field_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a8c7e8826e5593dbba7af25de6d2597f2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#a8c7e8826e5593dbba7af25de6d2597f2">variableType</a></td></tr>
<tr class="separator:a8c7e8826e5593dbba7af25de6d2597f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef72d1c7c493512aa474436449697303"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#aef72d1c7c493512aa474436449697303">IDSTRUCT</a></td></tr>
<tr class="separator:aef72d1c7c493512aa474436449697303"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab7ae30ead392394a78f8717caaadce06"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#ab7ae30ead392394a78f8717caaadce06">createNameMappingMDXToCCode</a> (std::string CCodeName)</td></tr>
<tr class="separator:ab7ae30ead392394a78f8717caaadce06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d1579f8bddd828c1462e8156bfafad9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#a4d1579f8bddd828c1462e8156bfafad9">pushUnique</a> (std::vector&lt; <a class="el" href="structaxis__type.html">axis_type</a> &gt; &amp;axis_vec, <a class="el" href="structaxis__type.html">axis_type</a> axis)</td></tr>
<tr class="separator:a4d1579f8bddd828c1462e8156bfafad9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53d02df1713071578c4b6a030269739b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#a53d02df1713071578c4b6a030269739b">is_number</a> (const std::string &amp;s)</td></tr>
<tr class="separator:a53d02df1713071578c4b6a030269739b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc7ed3956e838556863e1cfb56c6a800"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_cal_prm__type.html">CalPrm_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800">getMDXParametersForCalPrm</a> (std::string varname)</td></tr>
<tr class="separator:abc7ed3956e838556863e1cfb56c6a800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae30d3b8d9e69135cca204a7616e4735a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#ae30d3b8d9e69135cca204a7616e4735a">createDefaultData</a> (<a class="el" href="struct_cal_prm__type.html">CalPrm_type</a> paramDataFrame)</td></tr>
<tr class="separator:ae30d3b8d9e69135cca204a7616e4735a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace2f9c5796cd167ea4edcd741bd802f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3">createCalibrationInterface</a> (std::string varname)</td></tr>
<tr class="separator:ace2f9c5796cd167ea4edcd741bd802f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad77b740e08a4a6039c34dbae36b9b0e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#ad77b740e08a4a6039c34dbae36b9b0e0">getArraySizeOfVariable</a> (std::string parentIndexOfVariable, <a class="el" href="struct_variable__type.html">Variable_type</a> &amp;variable_config)</td></tr>
<tr class="separator:ad77b740e08a4a6039c34dbae36b9b0e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e9f4f440a915c7a9fd4764a39c9b4ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#a5e9f4f440a915c7a9fd4764a39c9b4ce">getBaseTypeOfVariable</a> (std::string parentIndexOfVariable, <a class="el" href="struct_variable__type.html">Variable_type</a> &amp;variable_config)</td></tr>
<tr class="separator:a5e9f4f440a915c7a9fd4764a39c9b4ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a427dfa1149119db1a5ed52bb1da8030d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#a427dfa1149119db1a5ed52bb1da8030d">getCompuMethod</a> (std::string parentIndexOfVariable, <a class="el" href="struct_variable__type.html">Variable_type</a> &amp;variable_config)</td></tr>
<tr class="separator:a427dfa1149119db1a5ed52bb1da8030d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a607a94b734cf0e9d611120a0e5d379"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#a3a607a94b734cf0e9d611120a0e5d379">createSimTableContent</a> (<a class="el" href="struct_variable__type.html">Variable_type</a> variable_config)</td></tr>
<tr class="separator:a3a607a94b734cf0e9d611120a0e5d379"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa63c6d39c748f36446bb7f83c6e37c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4">createVariablesInterface</a> (std::string varname, bool isResultOfEq, std::vector&lt; std::pair&lt; std::string, std::string &gt;&gt; &amp;type_vec, std::vector&lt; std::string &gt; &amp;definitions_vec, std::vector&lt; std::string &gt; &amp;Input_vec, std::vector&lt; std::string &gt; &amp;Output_vec, std::vector&lt; std::string &gt; &amp;OutputDefVec, std::vector&lt; std::string &gt; &amp;InputDefVec, std::vector&lt; std::vector&lt; std::string &gt;&gt; &amp;ConversionVec)</td></tr>
<tr class="separator:afa63c6d39c748f36446bb7f83c6e37c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee9904a1a912e7f57e57408a6c686aef"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#aee9904a1a912e7f57e57408a6c686aef">getLHSVector</a> (void)</td></tr>
<tr class="memdesc:aee9904a1a912e7f57e57408a6c686aef"><td class="mdescLeft">&#160;</td><td class="mdescRight">End evaluation loop for SW VARIABLE object.  <a href="resolve_interface_variables_8hpp.html#aee9904a1a912e7f57e57408a6c686aef">More...</a><br /></td></tr>
<tr class="separator:aee9904a1a912e7f57e57408a6c686aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad82db89c96de956ce021bd209fb3782b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#ad82db89c96de956ce021bd209fb3782b">isResultOfAssignment</a> (std::vector&lt; std::string &gt; result, std::string name)</td></tr>
<tr class="separator:ad82db89c96de956ce021bd209fb3782b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74ff2bdf877ff2c5a6f5d7627972e64a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a">resolveInterfacesVariables</a> ()</td></tr>
<tr class="separator:a74ff2bdf877ff2c5a6f5d7627972e64a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="aef72d1c7c493512aa474436449697303"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef72d1c7c493512aa474436449697303">&#9670;&nbsp;</a></span>IDSTRUCT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define IDSTRUCT</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c7e8826e5593dbba7af25de6d2597f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c7e8826e5593dbba7af25de6d2597f2">&#9670;&nbsp;</a></span>variableType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define variableType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ace2f9c5796cd167ea4edcd741bd802f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace2f9c5796cd167ea4edcd741bd802f3">&#9670;&nbsp;</a></span>createCalibrationInterface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void createCalibrationInterface </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>varname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_ace2f9c5796cd167ea4edcd741bd802f3_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_ace2f9c5796cd167ea4edcd741bd802f3_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_ace2f9c5796cd167ea4edcd741bd802f3_cgraph" id="resolve_interface_variables_8hpp_ace2f9c5796cd167ea4edcd741bd802f3_cgraph">
<area shape="rect" title=" " alt="" coords="5,183,197,209"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ae30d3b8d9e69135cca204a7616e4735a" title=" " alt="" coords="283,19,425,45"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="579,56,688,83"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="247,157,461,184"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="575,259,691,285"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="592,309,675,336"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae01709f428082a54dabe6a9f595e311d" title=" " alt="" coords="245,309,463,336"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a53d02df1713071578c4b6a030269739b" title=" " alt="" coords="588,5,679,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ab7ae30ead392394a78f8717caaadce06" title=" " alt="" coords="511,107,756,133"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9" title=" " alt="" coords="550,157,717,184"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a4d1579f8bddd828c1462e8156bfafad9" title=" " alt="" coords="584,208,683,235"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_ace2f9c5796cd167ea4edcd741bd802f3_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_ace2f9c5796cd167ea4edcd741bd802f3_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_ace2f9c5796cd167ea4edcd741bd802f3_icgraph" id="resolve_interface_variables_8hpp_ace2f9c5796cd167ea4edcd741bd802f3_icgraph">
<area shape="rect" title=" " alt="" coords="449,5,641,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="ae30d3b8d9e69135cca204a7616e4735a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae30d3b8d9e69135cca204a7616e4735a">&#9670;&nbsp;</a></span>createDefaultData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string createDefaultData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_cal_prm__type.html">CalPrm_type</a>&#160;</td>
          <td class="paramname"><em>paramDataFrame</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_ae30d3b8d9e69135cca204a7616e4735a_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_ae30d3b8d9e69135cca204a7616e4735a_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_ae30d3b8d9e69135cca204a7616e4735a_cgraph" id="resolve_interface_variables_8hpp_ae30d3b8d9e69135cca204a7616e4735a_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,148,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a53d02df1713071578c4b6a030269739b" title=" " alt="" coords="196,5,287,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_ae30d3b8d9e69135cca204a7616e4735a_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_ae30d3b8d9e69135cca204a7616e4735a_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_ae30d3b8d9e69135cca204a7616e4735a_icgraph" id="resolve_interface_variables_8hpp_ae30d3b8d9e69135cca204a7616e4735a_icgraph">
<area shape="rect" title=" " alt="" coords="689,5,832,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="449,5,641,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="ab7ae30ead392394a78f8717caaadce06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7ae30ead392394a78f8717caaadce06">&#9670;&nbsp;</a></span>createNameMappingMDXToCCode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string createNameMappingMDXToCCode </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>CCodeName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_ab7ae30ead392394a78f8717caaadce06_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_ab7ae30ead392394a78f8717caaadce06_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_ab7ae30ead392394a78f8717caaadce06_icgraph" id="resolve_interface_variables_8hpp_ab7ae30ead392394a78f8717caaadce06_icgraph">
<area shape="rect" title=" " alt="" coords="952,5,1197,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="689,5,904,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="449,5,641,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a3a607a94b734cf0e9d611120a0e5d379"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a607a94b734cf0e9d611120a0e5d379">&#9670;&nbsp;</a></span>createSimTableContent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void createSimTableContent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_variable__type.html">Variable_type</a>&#160;</td>
          <td class="paramname"><em>variable_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_a3a607a94b734cf0e9d611120a0e5d379_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_a3a607a94b734cf0e9d611120a0e5d379_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_a3a607a94b734cf0e9d611120a0e5d379_cgraph" id="resolve_interface_variables_8hpp_a3a607a94b734cf0e9d611120a0e5d379_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,179,57"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="227,5,401,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a53d02df1713071578c4b6a030269739b" title=" " alt="" coords="269,56,359,83"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_a3a607a94b734cf0e9d611120a0e5d379_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_a3a607a94b734cf0e9d611120a0e5d379_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_a3a607a94b734cf0e9d611120a0e5d379_icgraph" id="resolve_interface_variables_8hpp_a3a607a94b734cf0e9d611120a0e5d379_icgraph">
<area shape="rect" title=" " alt="" coords="679,5,852,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="449,5,631,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="afa63c6d39c748f36446bb7f83c6e37c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa63c6d39c748f36446bb7f83c6e37c4">&#9670;&nbsp;</a></span>createVariablesInterface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void createVariablesInterface </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>varname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isResultOfEq</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::pair&lt; std::string, std::string &gt;&gt; &amp;&#160;</td>
          <td class="paramname"><em>type_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>definitions_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>Input_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>Output_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>OutputDefVec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>InputDefVec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::vector&lt; std::string &gt;&gt; &amp;&#160;</td>
          <td class="paramname"><em>ConversionVec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Start of XML meta data processing for the current variable <br  />
 Find matching SW Variable object and store feature identifier and index of the variable set and the index of the current variable</p>
<p>Start evaluation loop for SW VARIABLE object</p>
<p>Use feature ID, variables and variable id to find the corresponding computation method</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_afa63c6d39c748f36446bb7f83c6e37c4_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_afa63c6d39c748f36446bb7f83c6e37c4_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_afa63c6d39c748f36446bb7f83c6e37c4_cgraph" id="resolve_interface_variables_8hpp_afa63c6d39c748f36446bb7f83c6e37c4_cgraph">
<area shape="rect" title=" " alt="" coords="5,157,187,184"/>
<area shape="rect" href="create_phys_to_ecu_conv_8hpp.html#a1428567155675d130b5f04f9bc2cf0a0" title=" " alt="" coords="259,5,423,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a3a607a94b734cf0e9d611120a0e5d379" title=" " alt="" coords="255,56,428,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="287,107,396,133"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db" title=" " alt="" coords="235,208,448,235"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72" title=" " alt="" coords="258,259,425,285"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="283,309,399,336"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c" title=" " alt="" coords="285,157,398,184"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="520,81,695,108"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a53d02df1713071578c4b6a030269739b" title=" " alt="" coords="562,31,653,57"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20" title=" " alt="" coords="496,208,719,235"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f" title=" " alt="" coords="502,157,713,184"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a4f05a8edd34e9bcd7e5ad6574dfb1747" title=" " alt="" coords="778,208,850,235"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="767,157,861,184"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a35040d624bbaf96a0baf54d0fffd1f8b" title=" " alt="" coords="525,259,690,285"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_afa63c6d39c748f36446bb7f83c6e37c4_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_afa63c6d39c748f36446bb7f83c6e37c4_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_afa63c6d39c748f36446bb7f83c6e37c4_icgraph" id="resolve_interface_variables_8hpp_afa63c6d39c748f36446bb7f83c6e37c4_icgraph">
<area shape="rect" title=" " alt="" coords="449,5,631,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="ad77b740e08a4a6039c34dbae36b9b0e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad77b740e08a4a6039c34dbae36b9b0e0">&#9670;&nbsp;</a></span>getArraySizeOfVariable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void getArraySizeOfVariable </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>parentIndexOfVariable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_variable__type.html">Variable_type</a> &amp;&#160;</td>
          <td class="paramname"><em>variable_config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_ad77b740e08a4a6039c34dbae36b9b0e0_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_ad77b740e08a4a6039c34dbae36b9b0e0_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_ad77b740e08a4a6039c34dbae36b9b0e0_cgraph" id="resolve_interface_variables_8hpp_ad77b740e08a4a6039c34dbae36b9b0e0_cgraph">
<area shape="rect" title=" " alt="" coords="5,81,179,108"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="255,5,365,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="252,56,368,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="269,107,351,133"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9" title=" " alt="" coords="227,157,393,184"/>
</map>
</div>

</div>
</div>
<a id="a5e9f4f440a915c7a9fd4764a39c9b4ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e9f4f440a915c7a9fd4764a39c9b4ce">&#9670;&nbsp;</a></span>getBaseTypeOfVariable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void getBaseTypeOfVariable </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>parentIndexOfVariable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_variable__type.html">Variable_type</a> &amp;&#160;</td>
          <td class="paramname"><em>variable_config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_a5e9f4f440a915c7a9fd4764a39c9b4ce_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_a5e9f4f440a915c7a9fd4764a39c9b4ce_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_a5e9f4f440a915c7a9fd4764a39c9b4ce_cgraph" id="resolve_interface_variables_8hpp_a5e9f4f440a915c7a9fd4764a39c9b4ce_cgraph">
<area shape="rect" title=" " alt="" coords="5,81,179,108"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="255,5,365,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="252,56,368,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="269,107,351,133"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9" title=" " alt="" coords="227,157,393,184"/>
</map>
</div>

</div>
</div>
<a id="a427dfa1149119db1a5ed52bb1da8030d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a427dfa1149119db1a5ed52bb1da8030d">&#9670;&nbsp;</a></span>getCompuMethod()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void getCompuMethod </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>parentIndexOfVariable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_variable__type.html">Variable_type</a> &amp;&#160;</td>
          <td class="paramname"><em>variable_config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_a427dfa1149119db1a5ed52bb1da8030d_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_a427dfa1149119db1a5ed52bb1da8030d_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_a427dfa1149119db1a5ed52bb1da8030d_cgraph" id="resolve_interface_variables_8hpp_a427dfa1149119db1a5ed52bb1da8030d_cgraph">
<area shape="rect" title=" " alt="" coords="5,81,144,108"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="221,5,330,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="217,56,333,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="234,107,317,133"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9" title=" " alt="" coords="192,157,359,184"/>
</map>
</div>

</div>
</div>
<a id="aee9904a1a912e7f57e57408a6c686aef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee9904a1a912e7f57e57408a6c686aef">&#9670;&nbsp;</a></span>getLHSVector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; getLHSVector </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>End evaluation loop for SW VARIABLE object. </p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_aee9904a1a912e7f57e57408a6c686aef_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_aee9904a1a912e7f57e57408a6c686aef_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_aee9904a1a912e7f57e57408a6c686aef_cgraph" id="resolve_interface_variables_8hpp_aee9904a1a912e7f57e57408a6c686aef_cgraph">
<area shape="rect" title="End evaluation loop for SW VARIABLE object." alt="" coords="5,56,115,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="166,5,275,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="163,56,279,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="179,107,262,133"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_aee9904a1a912e7f57e57408a6c686aef_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_aee9904a1a912e7f57e57408a6c686aef_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_aee9904a1a912e7f57e57408a6c686aef_icgraph" id="resolve_interface_variables_8hpp_aee9904a1a912e7f57e57408a6c686aef_icgraph">
<area shape="rect" title="End evaluation loop for SW VARIABLE object." alt="" coords="449,5,559,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="abc7ed3956e838556863e1cfb56c6a800"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc7ed3956e838556863e1cfb56c6a800">&#9670;&nbsp;</a></span>getMDXParametersForCalPrm()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_cal_prm__type.html">CalPrm_type</a> getMDXParametersForCalPrm </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>varname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_abc7ed3956e838556863e1cfb56c6a800_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_abc7ed3956e838556863e1cfb56c6a800_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_abc7ed3956e838556863e1cfb56c6a800_cgraph" id="resolve_interface_variables_8hpp_abc7ed3956e838556863e1cfb56c6a800_cgraph">
<area shape="rect" title=" " alt="" coords="5,157,220,184"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ab7ae30ead392394a78f8717caaadce06" title=" " alt="" coords="268,5,513,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="336,56,445,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="333,107,449,133"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="349,157,432,184"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9" title=" " alt="" coords="307,208,474,235"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a53d02df1713071578c4b6a030269739b" title=" " alt="" coords="345,259,436,285"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a4d1579f8bddd828c1462e8156bfafad9" title=" " alt="" coords="341,309,440,336"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_abc7ed3956e838556863e1cfb56c6a800_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_abc7ed3956e838556863e1cfb56c6a800_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_abc7ed3956e838556863e1cfb56c6a800_icgraph" id="resolve_interface_variables_8hpp_abc7ed3956e838556863e1cfb56c6a800_icgraph">
<area shape="rect" title=" " alt="" coords="689,5,904,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="449,5,641,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a53d02df1713071578c4b6a030269739b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53d02df1713071578c4b6a030269739b">&#9670;&nbsp;</a></span>is_number()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool is_number </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_a53d02df1713071578c4b6a030269739b_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_a53d02df1713071578c4b6a030269739b_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_a53d02df1713071578c4b6a030269739b_icgraph" id="resolve_interface_variables_8hpp_a53d02df1713071578c4b6a030269739b_icgraph">
<area shape="rect" title=" " alt="" coords="952,56,1043,83"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ae30d3b8d9e69135cca204a7616e4735a" title=" " alt="" coords="725,5,868,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a3a607a94b734cf0e9d611120a0e5d379" title=" " alt="" coords="710,107,883,133"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="689,56,904,83"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="449,56,641,83"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,81,401,108"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,81,159,108"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,81,60,108"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="455,107,636,133"/>
</map>
</div>

</div>
</div>
<a id="ad82db89c96de956ce021bd209fb3782b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad82db89c96de956ce021bd209fb3782b">&#9670;&nbsp;</a></span>isResultOfAssignment()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool isResultOfAssignment </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>result</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_ad82db89c96de956ce021bd209fb3782b_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_ad82db89c96de956ce021bd209fb3782b_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_ad82db89c96de956ce021bd209fb3782b_icgraph" id="resolve_interface_variables_8hpp_ad82db89c96de956ce021bd209fb3782b_icgraph">
<area shape="rect" title=" " alt="" coords="449,5,616,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a4d1579f8bddd828c1462e8156bfafad9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d1579f8bddd828c1462e8156bfafad9">&#9670;&nbsp;</a></span>pushUnique()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void pushUnique </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="structaxis__type.html">axis_type</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>axis_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structaxis__type.html">axis_type</a>&#160;</td>
          <td class="paramname"><em>axis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_a4d1579f8bddd828c1462e8156bfafad9_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_a4d1579f8bddd828c1462e8156bfafad9_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_a4d1579f8bddd828c1462e8156bfafad9_icgraph" id="resolve_interface_variables_8hpp_a4d1579f8bddd828c1462e8156bfafad9_icgraph">
<area shape="rect" title=" " alt="" coords="952,5,1051,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="689,5,904,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="449,5,641,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a74ff2bdf877ff2c5a6f5d7627972e64a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74ff2bdf877ff2c5a6f5d7627972e64a">&#9670;&nbsp;</a></span>resolveInterfacesVariables()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void resolveInterfacesVariables </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_a74ff2bdf877ff2c5a6f5d7627972e64a_cgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_a74ff2bdf877ff2c5a6f5d7627972e64a_cgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_a74ff2bdf877ff2c5a6f5d7627972e64a_cgraph" id="resolve_interface_variables_8hpp_a74ff2bdf877ff2c5a6f5d7627972e64a_cgraph">
<area shape="rect" title=" " alt="" coords="5,374,200,401"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="248,273,440,299"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="821,121,931,147"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="818,374,934,401"/>
<area shape="rect" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1" title=" " alt="" coords="284,577,404,603"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="253,526,435,553"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#aee9904a1a912e7f57e57408a6c686aef" title="End evaluation loop for SW VARIABLE object." alt="" coords="542,171,651,198"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ad82db89c96de956ce021bd209fb3782b" title=" " alt="" coords="261,627,427,654"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ae30d3b8d9e69135cca204a7616e4735a" title=" " alt="" coords="525,425,668,451"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="489,273,704,299"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="835,171,917,198"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae01709f428082a54dabe6a9f595e311d" title=" " alt="" coords="488,70,705,97"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a53d02df1713071578c4b6a030269739b" title=" " alt="" coords="831,425,921,451"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ab7ae30ead392394a78f8717caaadce06" title=" " alt="" coords="753,222,999,249"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9" title=" " alt="" coords="793,273,959,299"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a4d1579f8bddd828c1462e8156bfafad9" title=" " alt="" coords="827,323,925,350"/>
<area shape="rect" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c" title=" " alt="" coords="517,779,677,806"/>
<area shape="rect" href="create_phys_to_ecu_conv_8hpp.html#a1428567155675d130b5f04f9bc2cf0a0" title=" " alt="" coords="515,577,679,603"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a3a607a94b734cf0e9d611120a0e5d379" title=" " alt="" coords="510,526,683,553"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db" title=" " alt="" coords="490,678,703,705"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72" title=" " alt="" coords="513,627,680,654"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c" title=" " alt="" coords="540,729,653,755"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="789,526,963,553"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20" title=" " alt="" coords="765,678,987,705"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f" title=" " alt="" coords="771,729,981,755"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a4f05a8edd34e9bcd7e5ad6574dfb1747" title=" " alt="" coords="1058,678,1130,705"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="1047,729,1141,755"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a35040d624bbaf96a0baf54d0fffd1f8b" title=" " alt="" coords="793,627,959,654"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="resolve_interface_variables_8hpp_a74ff2bdf877ff2c5a6f5d7627972e64a_icgraph.png" border="0" usemap="#resolve_interface_variables_8hpp_a74ff2bdf877ff2c5a6f5d7627972e64a_icgraph" alt=""/></div>
<map name="resolve_interface_variables_8hpp_a74ff2bdf877ff2c5a6f5d7627972e64a_icgraph" id="resolve_interface_variables_8hpp_a74ff2bdf877ff2c5a6f5d7627972e64a_icgraph">
<area shape="rect" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="resolve_interface_variables_8hpp.html">resolveInterfaceVariables.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
